Bug Hunting Session
Bug 67041 - debian-menus package conflict with native Debian/Ubuntu packages
Summary: debian-menus package conflict with native Debian/Ubuntu packages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.1.0.3 rc
Hardware: Other All
: high major
Assignee: Petr Mladek
URL:
Whiteboard: target:4.2.0 target:4.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-18 13:12 UTC by Petr Mladek
Modified: 2013-07-25 11:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2013-07-18 13:12:26 UTC
The package libreoffice4.1-debian-menus_4.1.0-3_all.deb has the following in the control file:

           Package: libreoffice

It is the name of the package under which it is visible for the Debian package management system. It means that it conflicts with the "libreoffice" package from the native Debian/Ubuntu LibreOffice packages.

It is a regression. The name was "libreoffice-debian-menus" in LO 4.0 and earlier versions. I guess that it has happened during gbuildisation.
Comment 1 Commit Notification 2013-07-18 13:51:01 UTC
Petr Mladek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=defe6adcdf2d808eda4767bafd383a22efc98334

use correct package name in libreofficeX.Y-debian-menus package (fdo#67041)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Petr Mladek 2013-07-18 14:32:04 UTC
The fix is in master for 4.2 release and in the review queue for 4.1.1, see https://gerrit.libreoffice.org/#/c/4970/

I have mentioned it at at 
https://wiki.documentfoundation.org/Releases/4.1.0/RC3#Installation
https://wiki.documentfoundation.org/ReleaseNotes/4.1#Most_Annoying_Bugs

I would consider this as fixed.
Comment 3 Jean-Baptiste Faure 2013-07-18 15:06:11 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=67031#c3
Comment 4 Jean-Baptiste Faure 2013-07-18 18:19:09 UTC
Argh! commenting a bug report marked resolved restore the unconfirmed state automatically. Set fixed again.
Comment 5 Commit Notification 2013-07-19 06:29:38 UTC
Petr Mladek committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f37a62502019230c744de828a3b6b1b2924178c&h=libreoffice-4-1

use correct package name in libreofficeX.Y-debian-menus package (fdo#67041)


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-22 11:03:21 UTC
Petr Mladek committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9544ab3c41048939b58fd4898a7532c53f37d056&h=libreoffice-4-1-0

use correct package name in libreofficeX.Y-debian-menus package (fdo#67041)


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 sophie 2013-07-24 09:15:14 UTC
Hi - For an update on my tests this morning. I still have a warning about errors during installation concerning libreoffice4.1-debian-menus_4.1.0-4_all.deb on a machine with Ubuntu 13.04 and Gnome 3.8, where all previous LO files have been removed. But after install, application icons are here, the one in the message bar for quickstarter too, so all seems ok. Sophie
Comment 8 ape 2013-07-25 04:28:50 UTC
Hi, Peter!
 I checked the patch on the four PCs. All is well on three PCs (Debian-7.1_LXDE; Lubuntu-13.04_i386_desktop; Lubuntu-13.04_amd64_alternate).
Application icons are absent only the one PC using “Lubuntu-13.04_amd64_alternate”. This OS has been installed with a network update. That is, the LibO-4.0.2-0ubuntu1 has been installed. Then I did a complete uninstall UbuOffice and install LibO-4.1.0.4(TDF; using the root-terminal).
 It is possible that this is an operating system error, using their original icons for applications.
Comment 9 Petr Mladek 2013-07-25 11:43:06 UTC
Sophie, Ape, thanks a lot for testing. I am happy that it works.

I am not sure about the warning. It might be caused be the older debian-menus package from rc1, rc2, and rc3. The internal package name was "libreoffice" without any version of suffix. The Debian package control system saw it under this name. Maybe you forgot to uninstall it before.

If it works, we should be on the safe side. Anyway, if you see the warnings again, please paste here all the error/warning messages that might point to the real problem.